#include "libx264.h"

#include "_cgo_export.h"

const char* Version() {
    return X264_VERSION;
}

void SetLogCallback( x264_param_t *p ) {
    p->pf_log = LogCallback;
}

void LogCallback( void *p, int i_level, const char *psz_fmt, va_list arg ) {
    char *message = malloc(4096+1);
    int n = vsnprintf(message, 4096, psz_fmt, arg );
    if (n > 0 && n < 4096) {
        //success
        logCallback(i_level, message, n, p);
    }
    free(message);
}